function updatecell2menu
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
global cellstr dim
cell2auswahl=findobj('tag','cell2auswahl');
dimensionauswahl=findobj('tag','dimensionauswahl');


if get(gco,'Value')==4
    set(cell2auswahl,'style','edit');
    set(cell2auswahl,'string','');
    set(dimensionauswahl,'Value',length(dim));
    set(dimensionauswahl,'enable','off');
elseif get(gco,'Value')>3
    set(cell2auswahl,'style','edit');
    set(cell2auswahl,'string','');
    set(dimensionauswahl,'enable','on');
else
    set(cell2auswahl,'style','popup');
    set(cell2auswahl,'string',cellstr);
    set(dimensionauswahl,'enable','on');
end
return

